cascading.tuple.hadoop.io

## Class IndexTupleDeserializer<T extends IndexTuple>

- java.lang.Object
- - cascading.tuple.hadoop.io.IndexTupleDeserializer<T>

- All Implemented Interfaces:
    Deserializer<T>
  Direct Known Subclasses:
    KeyIndexTupleDeserializer, ValueIndexTupleDeserializer

      public class IndexTupleDeserializer<T extends IndexTuple>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<Integer,Class[]>` | `typeMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexTupleDeserializer(TupleSerialization.SerializationElementReader elementReader)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected T` | `createTuple()`
    `T` | `deserialize(IndexTuple tuple)`
    `protected Class[]` | `getTypesFor(int ordinal)`
    `void` | `open(InputStream in)`
    `protected void` | `setReaders(Fields fields)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### typeMap

          protected Map<Integer,Class[]> typeMap

  - ### Constructor Detail

    - #### IndexTupleDeserializer

          public IndexTupleDeserializer(TupleSerialization.SerializationElementReader elementReader)

  - ### Method Detail

    - #### deserialize

          public T deserialize(IndexTuple tuple)
                                           throws IOException

      Specified by:
        `deserialize` in interface `Deserializer<T extends IndexTuple>`
      Throws:
        `IOException`

    - #### createTuple

          protected T createTuple()

    - #### getTypesFor

          protected Class[] getTypesFor(int ordinal)

    - #### setReaders

          protected void setReaders(Fields fields)

    - #### open

          public void open(InputStream in)

      Specified by:
        `open` in interface `Deserializer<T extends Tuple>`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Deserializer<T extends Tuple>`
      Throws:
        `IOException`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.